package nz.ac.canterbury.debugassist.model;

public class TestOutput {
	public static String Output(Variable root) {
		StringBuilder sb = new StringBuilder('\n');
		AppendData(root, sb,0);
		return sb.toString();
	}
	
	private static void AppendData(Variable v, StringBuilder sb, int depth) {
		for(int i=0;i<depth;i++) {
			sb.append('-');
		}
		sb.append(v.toString());
		sb.append('\n');
		for(Variable child : v.getChildren().values()) {
			AppendData(child, sb,depth+1);
		}
		
	}
	
	
}
